Bug 155165 - /etc/ant.conf ignores users ANT_HOME variable
/etc/ant.conf ignores users ANT_HOME variable
Product: Fedora
Classification: Fedora
Component: ant (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
: 155170 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-04-17 09:25 EDT by Brian G. Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-13 15:16:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2005-04-17 09:25:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 StumbleUpon/1.9993 Firefox/1.0.3

Description of problem:
I run an alternate copy of ant for some products that I build.  Because the distro's /etc/ant.conf *always* sets the ANT_HOME it interferes with the alternate installation

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install an alternate copy of ant somewhere and set ANT_HOME to the new path
2. change into the ant copy directory and run ant from its bin directory

Actual Results:  The distro copy of ant is used.  This is very noticable because my ant copy will have a special ant task jar in the ant copy's lib directory.  My ant builds will fail because the /etc/ant.conf forces the ant to use the distro directories.

Expected Results:  /etc/ant.conf should leave ANT_HOME untouched if it is already set so that other invocations of ant will use their correct home directory

Additional info:
Comment 1 Gary Benson 2005-04-18 07:04:36 EDT
*** Bug 155170 has been marked as a duplicate of this bug. ***
Comment 2 Gary Benson 2005-04-19 07:53:29 EDT
Is there anything special about your alternate ant aside from its having an
extra jarfile of tasks?  If not, you could simply invoke the system ant with
your jarfile in the classpath:

  export CLASSPATH=/path/to/your-tasks.jar

Or, if you do require your own ant, then you could invoke it with the
"--noconfig" option which will stop it from reading /etc/ant.conf (and
~/.ant/ant.conf and ~/.antrc).

Do either of these solve your problem?
Comment 3 John Thacker 2007-01-13 15:16:53 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.